// ----------------------------------------------------------------------------
// IntLiteral.java
// A natural number.
// $Id: IntLiteral.java,v 1.5 2011/09/30 15:47:32 schreine Exp $
//
// Author: Wolfgang Schreiner <Wolfgang.Schreiner@risc.uni-linz.ac.at>
// Copyright (C) 2009, Research Institute for Symbolic Computation (RISC)
// Johannes Kepler University, Linz, Austria, http://www.risc.uni-linz.ac.at
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
// ----------------------------------------------------------------------------
package fmrisc.ProgramExplorer.Syntax.Logic;

import fmrisc.ProgramExplorer.Syntax.ASTVisitor;

/**
 * 
 * A natural number.
 *
 */
public final class IntLiteral extends Constant
{
  /***************************************************************************
   * Construct number with denoted sequence of digits.
   * @param digits a non-empty sequence of decimal digits.
   * @return the new number.
   **************************************************************************/
  public static IntLiteral construct(String digits)
  {
    return new IntLiteral(digits);
  }
  
  /***************************************************************************
   * Construct constant with denoted name.
   * @param digits a non-empty sequence of decimal digits.
   **************************************************************************/
  private IntLiteral(String digits)
  {
    super(digits);
  }
  
  /***************************************************************************
   * Accept visitor for a visit.
   * @param visitor the visitor who is accepted by this node.
   **************************************************************************/
  public void accept(ASTVisitor visitor)
  {
    visitor.visit(this);
  }
}
