// ----------------------------------------------------------------------------
// LoopStatement.java
// The interface for annotated statements.
// $Id: LoopStatement.java,v 1.1 2009/10/19 16:16:24 schreine Exp $
//
// Author: Wolfgang Schreiner <Wolfgang.Schreiner@risc.uni-linz.ac.at>
// Copyright (C) 2008, Research Institute for Symbolic Computation (RISC)
// Johannes Kepler University, Linz, Austria, http://www.risc.uni-linz.ac.at
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
// ----------------------------------------------------------------------------
package fmrisc.ProgramExplorer.Syntax.Program;

/**
 * 
 * The interface for loop statements
 * 
 */
public interface LoopStatement extends Statement
{
  /***************************************************************************
   * Set the loop annotation for this item.
   * @param annotation the annotation.
   **************************************************************************/
  public void setLoopAnnotation(ProgramAnnotation annotation);
  
  /***************************************************************************
   * Get the loop annotation for this item.
   * @return the annotation (null, if there is none).
   **************************************************************************/
  public ProgramAnnotation getLoopAnnotation();
}

