// ----------------------------------------------------------------------------
// Selector.java
// Interface to a component selector.
// $Id: Selector.java,v 1.6 2017/07/04 08:04:37 schreine Exp $
//
// Author: Wolfgang Schreiner <Wolfgang.Schreiner@risc.uni-linz.ac.at>
// Copyright (C) 2008, Research Institute for Symbolic Computation (RISC)
// Johannes Kepler University, Linz, Austria, http://www.risc.uni-linz.ac.at
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
// ----------------------------------------------------------------------------
package fmrisc.ProgramExplorer.Syntax.Program;

import fmrisc.ProgramExplorer.Syntax.Logic.Type;

/**
 * Interface to a component selector.
 */
public interface Selector extends ASTProgram
{
  /***************************************************************************
   * set type of expression after selection
   * @param type the type.
   **************************************************************************/
  public void setType(TypeExpression type);
  
  /***************************************************************************
   * get type of expression after selection
   * @return the type.
   **************************************************************************/
  public TypeExpression getType();
  
  /***************************************************************************
   * set logic type of expression to which selector is applied
   * @param type the type.
   **************************************************************************/
  public void setLogicBaseType(Type type);
  
  /***************************************************************************
   * get logic type of expression to which selector is applied
   * @return the type.
   **************************************************************************/
  public Type getLogicBaseType();
}
