// ----------------------------------------------------------------------------
// Command.java
// Interface to commands
// $Id: Command.java,v 1.7 2017/07/04 08:04:35 schreine Exp $
//
// Author: Wolfgang Schreiner <Wolfgang.Schreiner@risc.uni-linz.ac.at>
// Copyright (C) 2005, Research Institute for Symbolic Computation (RISC)
// Johannes Kepler University, Linz, Austria, http://www.risc.uni-linz.ac.at
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
// ----------------------------------------------------------------------------
package fmrisc.ProofNavigator.Commands;

import org.w3c.dom.*;

/**
 * 
 * Interface to commands.
 *
 */
public interface Command 
{
  /****************************************************************************
   * process command
   ***************************************************************************/
  public void process();
  
  /***************************************************************************
   * Convert proof command to external representation as a DOM node.
   * @param  document the document to which the node belongs.
   * @return The representation of the proof command as a DOM node of the
   *         document. The name of the node is "fmrisc:command" with an
   *         attribute name="NAME" where NAME is the value returned 
   *         by getName().
   **************************************************************************/
  public Node toNode(Document document);
}
